Skip to main content
GET
/
interval
/
connection
/
{connection_id}
Get Intervals by Connection (BETA)
curl --request GET \
  --url https://external.nectarclimate.com/v2/interval/connection/{connection_id} \
  --header 'X-API-KEY: <api-key>'
{
  "totalIntervals": 123,
  "perPage": 123,
  "totalPages": 123,
  "currentPage": 123,
  "hasNext": true,
  "hasPrevious": true,
  "intervals": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created": "2023-11-07T05:31:56Z",
      "identifiers": [
        {
          "rawName": "<string>",
          "value": "<string>",
          "name": "<string>"
        }
      ],
      "account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z",
      "usage": "<string>",
      "usageUnits": "<string>",
      "quality": "<string>",
      "updated": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

connection_id
string<uuid>
required

ID of the utility connection for which to retrieve interval data.

Query Parameters

datasourceType
enum<string>[]

('Optional. List of datasource types to filter by. If not provided, includes all types. Must be a sublist of "ELECTRICITY", "GAS", "WATER", "DISTRICT", "WASTE", "FUEL", "MISC", "REFRIGERANT", "SOLAR", "TELECOM"',)

  • ELECTRICITY - Electricity
  • GAS - Gas
  • WATER - Water
  • DISTRICT - District
  • WASTE - Waste
  • FUEL - Fuel
  • MISC - Misc
  • REFRIGERANT - Refrigerant
  • SOLAR - Solar
  • TELECOM - Telecom
Available options:
ELECTRICITY,
GAS,
WATER,
DISTRICT,
WASTE,
FUEL,
MISC,
REFRIGERANT,
SOLAR,
TELECOM
endDate
string<date-time>

Optional end time for interval data in ISO 8601 format (e.g., 2024-01-31T23:59:59Z). If provided, filters for intervals ending on or before this timestamp.

identifier
string
default:""

Filter meters by identifier value. Searches across all identifiers.

Minimum string length: 1
page
integer
default:1

Page number for paginated results. Default is 1.

startDate
string<date-time>

Optional start time for interval data in ISO 8601 format (e.g., 2024-01-01T00:00:00Z). If provided, filters for intervals starting on or after this timestamp.

Response

Serializer for paginated interval response.

totalIntervals
integer
required

Total number of intervals.

perPage
integer
required

Number of entries per page.

totalPages
integer
required

Total number of pages.

currentPage
integer
required

Current page number.

hasNext
boolean
required

Indicates if there is a next page.

hasPrevious
boolean
required

Indicates if there is a previous page.

intervals
object[]
required

List of interval data entries.